<?php

/**
 * @file
 * Admin file this is.
 */

/**
 * Admin settings.
 */
function linkchecker_summary_mail_settings() {
  $form = array();
  $form['linkchecker_summary_mail_interval'] = array(
    '#title' => t('Interval for mail'),
    '#description' => t('Adjust the interval for the mail'),
    '#type' => 'select',
    '#options' => array(
      LINKCHECKER_SUMMARY_MAIL_DAILY => t('Daily'),
      LINKCHECKER_SUMMARY_MAIL_WEEKLY => t('Weekly'),
    ),
    '#default_value' => variable_get('linkchecker_summary_mail_interval', LINKCHECKER_SUMMARY_MAIL_DAILY),
  );
  $form['linkchecker_summary_mail_enable_global'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable global address summary'),
    '#description' => t('Check this if you want to send notifications to one specific email address'),
    '#default_value' => variable_get('linkchecker_summary_mail_enable_global', TRUE),
  );
  $form['linkchecker_summary_mail_address'] = array(
    '#type' => 'textfield',
    '#title' => t('Email adress for global summary'),
    '#default_value' => variable_get('linkchecker_summary_mail_address', variable_get('site_mail', '')),
    '#states' => array(
      'visible' => array(
        ':input[name="linkchecker_summary_mail_enable_global"]' => array('checked' => TRUE),
      ),
    ),
  );
  $form['linkchecker_summary_mail_notify_node_author'] = array(
    '#type' => 'checkbox',
    '#title' => t('Notify node authors about broken links'),
    '#description' => t('Check this to send a notification to the author of the node about newly found broken links.'),
    '#default_value' => variable_get('linkchecker_summary_mail_notify_node_author', FALSE),
  );
  $form['linkchecker_summary_mail_summarize_all'] = array(
    '#type' => 'checkbox',
    '#title' => t('Summarize all broken links, always'),
    '#description' => t('Check this box to always send the entire list of broken links, in the summary mails'),
    '#default_value' => variable_get('linkchecker_summary_mail_summarize_all', FALSE),
  );
  return system_settings_form($form);
}
